<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('contactos', function (Blueprint $table) {
            $table->id();

            $table->string('telefone')->nullable();;
            $table->string('cidade')->nullable();;
            $table->string('endereco')->nullable();;
            $table->unsignedBigInteger('id_funcionario');
            $table->timestamps();

            $table->foreign('id_funcionario')->references('id')->on('funcionarios')->onDelete('CASCADE');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('contactos');
    }
};
